/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Test Pattern Codes
 */
public enum EnumCM_TestPatternCodes 
{
	//CID  8301 Test Pattern Codes
	TG18_QC_PATTERN("TG18-QC Pattern"),
	TG18_BR_PATTERN("TG18-BR Pattern"),
	TG18_PQC_PATTERN("TG18-PQC Pattern"),
	TG18_CT_PATTERN("TG18-CT Pattern"),
	TG18_LN8_01_PATTERN("TG18-LN8-01 Pattern"),
	TG18_LN8_02_PATTERN("TG18-LN8-02 Pattern"),
	TG18_LN8_03_PATTERN("TG18-LN8-03 Pattern"),
	TG18_LN8_04_PATTERN("TG18-LN8-04 Pattern"),
	TG18_LN8_05_PATTERN("TG18-LN8-05 Pattern"),
	TG18_LN8_06_PATTERN("TG18-LN8-06 Pattern"),
	TG18_LN8_07_PATTERN("TG18-LN8-07 Pattern"),
	TG18_LN8_08_PATTERN("TG18-LN8-08 Pattern"),
	TG18_LN8_09_PATTERN("TG18-LN8-09 Pattern"),
	TG18_LN8_10_PATTERN("TG18-LN8-10 Pattern"),
	TG18_LN8_11_PATTERN("TG18-LN8-11 Pattern"),
	TG18_LN8_12_PATTERN("TG18-LN8-12 Pattern"),
	TG18_LN8_13_PATTERN("TG18-LN8-13 Pattern"),
	TG18_LN8_14_PATTERN("TG18-LN8-14 Pattern"),
	TG18_LN8_15_PATTERN("TG18-LN8-15 Pattern"),
	TG18_LN8_16_PATTERN("TG18-LN8-16 Pattern"),
	TG18_LN8_17_PATTERN("TG18-LN8-17 Pattern"),
	TG18_LN8_18_PATTERN("TG18-LN8-18 Pattern"),
	TG18_LN12_01_PATTERN("TG18-LN12-01 Pattern"),
	TG18_LN12_02_PATTERN("TG18-LN12-02 Pattern"),
	TG18_LN12_03_PATTERN("TG18-LN12-03 Pattern"),
	TG18_LN12_04_PATTERN("TG18-LN12-04 Pattern"),
	TG18_LN12_05_PATTERN("TG18-LN12-05 Pattern"),
	TG18_LN12_06_PATTERN("TG18-LN12-06 Pattern"),
	TG18_LN12_07_PATTERN("TG18-LN12-07 Pattern"),
	TG18_LN12_08_PATTERN("TG18-LN12-08 Pattern"),
	TG18_LN12_09_PATTERN("TG18-LN12-09 Pattern"),
	TG18_LN12_10_PATTERN("TG18-LN12-10 Pattern"),
	TG18_LN12_11_PATTERN("TG18-LN12-11 Pattern"),
	TG18_LN12_12_PATTERN("TG18-LN12-12 Pattern"),
	TG18_LN12_13_PATTERN("TG18-LN12-13 Pattern"),
	TG18_LN12_14_PATTERN("TG18-LN12-14 Pattern"),
	TG18_LN12_15_PATTERN("TG18-LN12-15 Pattern"),
	TG18_LN12_16_PATTERN("TG18-LN12-16 Pattern"),
	TG18_LN12_17_PATTERN("TG18-LN12-17 Pattern"),
	TG18_LN12_18_PATTERN("TG18-LN12-18 Pattern"),
	TG18_UN10_PATTERN("TG18-UN10 Pattern"),
	TG18_UN80_PATTERN("TG18-UN80 Pattern"),
	TG18_UNL10_PATTERN("TG18-UNL10 Pattern"),
	TG18_UNL80_PATTERN("TG18-UNL80 Pattern"),
	TG18_AD_PATTERN("TG18-AD Pattern"),
	TG18_MP_PATTERN("TG18-MP Pattern"),
	TG18_RH10_PATTERN("TG18-RH10 Pattern"),
	TG18_RH50_PATTERN("TG18-RH50 Pattern"),
	TG18_RH89_PATTERN("TG18-RH89 Pattern"),
	TG18_RV10_PATTERN("TG18-RV10 Pattern"),
	TG18_RV50_PATTERN("TG18-RV50 Pattern"),
	TG18_RV89_PATTERN("TG18-RV89 Pattern"),
	TG18_PX_PATTERN("TG18-PX Pattern"),
	TG18_CX_PATTERN("TG18-CX Pattern"),
	TG18_LPH10_PATTERN("TG18-LPH10 Pattern"),
	TG18_LPH50_PATTERN("TG18-LPH50 Pattern"),
	TG18_LPH89_PATTERN("TG18-LPH89 Pattern"),
	TG18_LPV10_PATTERN("TG18-LPV10 Pattern"),
	TG18_LPV50_PATTERN("TG18-LPV50 Pattern"),
	TG18_LPV89_PATTERN("TG18-LPV89 Pattern"),
	TG18_AFC_PATTERN("TG18-AFC Pattern"),
	TG18_NS10_PATTERN("TG18-NS10 Pattern"),
	TG18_NS50_PATTERN("TG18-NS50 Pattern"),
	TG18_NS89_PATTERN("TG18-NS89 Pattern"),
	TG18_GV_PATTERN("TG18-GV Pattern"),
	TG18_GVN_PATTERN("TG18-GVN Pattern"),
	TG18_GQ_PATTERN("TG18-GQ Pattern"),
	TG18_GQN_PATTERN("TG18-GQN Pattern"),
	TG18_GQB_PATTERN("TG18-GQB Pattern"),
	TG18_GA03_PATTERN("TG18-GA03 Pattern"),
	TG18_GA05_PATTERN("TG18-GA05 Pattern"),
	TG18_GA08_PATTERN("TG18-GA08 Pattern"),
	TG18_GA10_PATTERN("TG18-GA10 Pattern"),
	TG18_GA15_PATTERN("TG18-GA15 Pattern"),
	TG18_GA20_PATTERN("TG18-GA20 Pattern"),
	TG18_GA25_PATTERN("TG18-GA25 Pattern"),
	TG18_GA30_PATTERN("TG18-GA30 Pattern"),
	TG18_CH_IMAGE("TG18-CH Image"),
	TG18_KN_IMAGE("TG18-KN Image"),
	TG18_MM1_IMAGE("TG18-MM1 Image"),
	TG18_MM2_IMAGE("TG18-MM2 Image"),
	OIQ_PATTERN("OIQ Pattern"),
	ANG_PATTERN("ANG Pattern"),
	GD_PATTERN("GD Pattern"),
	BN01_PATTERN("BN01 Pattern"),
	BN02_PATTERN("BN02 Pattern"),
	BN03_PATTERN("BN03 Pattern"),
	BN04_PATTERN("BN04 Pattern"),
	BN05_PATTERN("BN05 Pattern"),
	BN06_PATTERN("BN06 Pattern"),
	BN07_PATTERN("BN07 Pattern"),
	BN08_PATTERN("BN08 Pattern"),
	BN09_PATTERN("BN09 Pattern"),
	BN10_PATTERN("BN10 Pattern"),
	BN11_PATTERN("BN11 Pattern"),
	BN12_PATTERN("BN12 Pattern"),
	BN13_PATTERN("BN13 Pattern"),
	BN14_PATTERN("BN14 Pattern"),
	BN15_PATTERN("BN15 Pattern"),
	BN16_PATTERN("BN16 Pattern"),
	BN17_PATTERN("BN17 Pattern"),
	BN18_PATTERN("BN18 Pattern"),
	DIN_GEOMETRY_PATTERN("DIN Geometry Pattern"),
	DIN_GRAYSCALE_PATTERN("DIN Grayscale Pattern"),
	DIN_RESOLUTION_PATTERN("DIN Resolution Pattern"),
	WHITE_PATTERN("White Pattern"),
	SMPTE_PATTERN("SMPTE Pattern");	

	private String value;
	
	EnumCM_TestPatternCodes(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
